% Create sample table 1
clc; clear
file = {'Sample1.txt'};
title= {'Here goes the title'};
label= {'Sample'};
chead= [0 1 2 2 2 1 2 2;
        1 1 1 1 1 1 1 1];
hrow = {'Correlation','Relative volatility (\%)',...
        'Area','$p_{x},p_{m}$','$p_{x},x$','$p_{m},x$','$p,x$',...
        '$p_{x}$','$p_{m}$','$p$'};
data = ones(9,7); 
data(3:5,4:6)=-1.008; %rounding and number alignment demo
ihead=[1,4];
itext={'\textit{Green countries}','\textit{Blue countries}'};
fcol = {'\quad Belgium \footnote{Footnotes can be added too.}';'\quad Canada';'\quad Switzerland';'\quad France';...
          '\quad Germany';'\quad Italy';'\quad Japan';'\quad Netherlands';'\quad US'};   
hline= [3];
csin = [1.0;.5;.5;.5;.5;.5;.5;.5]; 
dec  = [     2; 2; 2; 2; 1; 1; 1]; 
stat=1; mpage=[0];
fnote= {'Notes: Based on logged \& HP filtered quarterly data for the period 1980:1-2000:2. Sources listed at the end of the tables.'};
TabTeX(file,title,label,chead,hrow,fcol,hline,csin,dec,data,fnote,mpage,stat,ihead,itext);

% Create sample table 2

file = {'Sample2.txt'};
title= {'The same but with suppressed fcol*'};
label= {'Sample2'};
chead= [1 2 2 2 1 2 2;
        1 1 1 1 1 1 1];
hrow = {'Correlation','Relative volatility (\%)',...
        '$p_{x},p_{m}$','$p_{x},x$','$p_{m},x$','$p,x$',...
        '$p_{x}$','$p_{m}$','$p$'};
data = ones(9,7); 
data(3:5,4:6)=-1.008; %rounding and number alignment demo
ihead=[1,4];
itext={'\textit{Green countries}','\textit{Blue countries}'};
fcol = {};   
hline= [3];
csin = [.5;.5;.5;.5;.5;.5;.5]; 
dec  = [ 2; 2; 2; 2; 1; 1; 1]; 
stat=1; mpage=[0];
fnote= {'*TabTeX function argument fcol has been left blank in this case.'};
TabTeX(file,title,label,chead,hrow,fcol,hline,csin,dec,data,fnote,mpage,stat,ihead,itext);
PrevTeX({'Sample1.txt','Sample2.txt'})