function PrevTeX(inputs)
% 1-25, 2006 (c) Lukasz Drozd, Jaromir Nosal
%Puts all table codes from inputs into one .tex file: Tex/AllTabs.tex.
%Adds preamble and compiles the file using pdflatex (must be present in the
%system). Previews output in Acrobat (must be present in the system)
%
%inputs -   files with Tex code of tables {'Table4.txt';'Table1.txt'}
%           (ref. files generated by TabToTex function)
%========================================================================

%create the output file
cd Tex
fid = fopen('AllTabs.tex','w');

%add preample to the output file 
fprintf(fid,'\\documentclass[11pt]{article} \n');
fprintf(fid,'\\usepackage{booktabs} \n');
fprintf(fid,'\\setlength{\\topmargin}{-0.25in} \\setlength{\\textheight}{9.1in} \n');
fprintf(fid,'\\setlength{\\oddsidemargin}{-0.20in} \n');
fprintf(fid,'\\setlength{\\evensidemargin}{-0.20in} \\setlength{\\textwidth}{6.5in} \n');
fprintf(fid,'\\begin{document} \n');

%separate tables from preamble
    fprintf(fid,'%% \n');
    fprintf(fid,'%%================================================================ \n');
    fprintf(fid,'%% \n');
    
%open sequentially files from inputs, and write to output file
cs=size(inputs);
for j=1:cs(1,2)
    tab=textread(char(inputs(j)),'%s','whitespaces','\r');
    cc =size(tab);
    for i=1:cc(1,1)
       fprintf(fid,'%s \n',char(tab(i)));
    end
    %separate from the next table
    fprintf(fid,'%% \n');
    fprintf(fid,'%%================================================================ \n');
    fprintf(fid,'%% \n');
    
end

%end {document}
fprintf(fid,'\\end{document} \n');
fclose(fid)

%run pdflatex
%open the .pdf file in Acrobat Reader

!pdflatex AllTabs.tex
!AllTabs.pdf

cd ..


